<template>
  <div class="default">
    <custom-header @on-signout="handleSignout" />
    <div class="default__container">
      <router-view />
    </div>
  </div>
</template>

<script>
import { mapActions } from "vuex";
import CustomHeader from './../components/ui-elements/CustomHeader'

export default {
  components: {
    CustomHeader
  },

  methods: {
    ...mapActions('auth', ['signout']),

    async handleSignout() {
      const { success } = await this.signout()

      if (success) {
        this.$router.push({ name: 'login' })
      }
    }
  }
}
</script>

<style>

</style>